import * as api from './api/base.js'
import './utils/mtj-wx-sdk'
App({
  store: {
    pageshow: false,
    user: {} // 用户信息
  },
  onLaunch: function () {
    // 加载自定义字体
    wx.loadFontFace({
      global: true,
      family: 'HelveticaNeueLTProMd',
      source: 'https://webapp-pub.ezijing.com/weapp/share/marywood/HelveticaNeueLTProMd.otf',
      scopes: ['webview', 'native']
    })
    wx.loadFontFace({
      global: true,
      family: 'HelveticaNeueLTProMdIt',
      source: 'https://webapp-pub.ezijing.com/weapp/share/marywood/HelveticaNeueLTProMdIt.otf',
      scopes: ['webview', 'native']
    })
    wx.loadFontFace({
      global: true,
      family: 'Lato',
      source: 'https://webapp-pub.ezijing.com/weapp/share/marywood/Lato-Medium.ttf',
      scopes: ['webview', 'native']
    })
    wx.loadFontFace({
      global: true,
      family: 'Lato-Light',
      source: 'https://webapp-pub.ezijing.com/weapp/share/marywood/Lato-Light.ttf',
      scopes: ['webview', 'native']
    })
  },
  onPageNotFound() {
    wx.redirectTo({ url: 'pages/login/index' })
  },
  checkPageshow(callback) {
    if (this.store.pageshow) {
      callback && callback(true)
      return true
    }
    wx.showNavigationBarLoading()
    api.getPageShowStatus().then(response => {
      const show = response.code === 1
      this.store.pageshow = show
      callback && callback(show, response)
      wx.hideNavigationBarLoading()
    })
  },
  // 获取用户信息
  getUser() {
    return api.getUser().then(response => {
      this.store.user = response
      wx.setStorage({ key: 'uid', data: response.id })
      wx.setStorage({ key: 'sid', data: response.student_info.id })
      return response
    })
  },
  // 退出登录
  logout() {
    return api.logout().then(response => {
      wx.removeStorageSync('token')
    })
  }
})
